From ea68c936150142f7494cde427353ec8a2006e405 Mon Sep 17 00:00:00 2001
From: Stephen Gran <steve@lobefin.net>
Date: Thu, 24 Nov 2011 07:10:46 +0000
Subject: [PATCH] Allow socket errors to be returned as unknown instead of critical

Signed-off-by: Stephen Gran <steve@lobefin.net>
---
 src/check_nrpe.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/src/check_nrpe.c b/src/check_nrpe.c
index 03b136e..b755dec 100644
--- a/src/check_nrpe.c
+++ b/src/check_nrpe.c
@@ -144,6 +144,8 @@ int main(int argc, char **argv){
 
 	/* try to connect to the host at the given port number */
 	result=my_tcp_connect(server_name,server_port,&sd);
+	if (result==STATE_CRITICAL)
+		result=timeout_return_code;
 
 #ifdef HAVE_SSL
 	/* do SSL handshake */
-- 
1.7.2.5

